"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.core = void 0;

var _spawnHelper = _interopRequireDefault(require("../utils/spawnHelper"));

var _execHelper = _interopRequireDefault(require("../utils/execHelper"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const core = {
  checkout: (args = '', options, repoPath, callback) => (0, _spawnHelper.default)(`git lfs checkout ${args}`, null, options, callback, repoPath),
  clone: (args = '', options, repoUrl, callback) => (0, _spawnHelper.default)(`git lfs clone ${args}`, null, options, callback, repoUrl),
  fetch: (args = '', options, repoPath, callback) => (0, _spawnHelper.default)(`git lfs fetch ${args}`, null, options, callback, repoPath),
  fsck: options => (0, _execHelper.default)('git lfs fsck', null, options),
  git: (args = '', options) => (0, _execHelper.default)(`git ${args}`, null, options),
  install: (args = '', options) => (0, _execHelper.default)(`git lfs install ${args}`, null, options),
  logs: (args = '', options) => (0, _execHelper.default)(`git lfs logs ${args}`, null, options),
  ls: (args = '', options) => (0, _execHelper.default)(`git lfs ls-files ${args}`, null, options),
  pointer: (args = '', options) => (0, _execHelper.default)(`git lfs pointer ${args}`, null, options),
  prune: (args = '', options) => (0, _execHelper.default)(`git lfs prune ${args}`, null, options),
  pull: (args = '', options, repoPath, callback) => (0, _spawnHelper.default)(`git lfs pull ${args}`, null, options, callback, repoPath),
  push: (args = '', options, repoPath, callback) => (0, _spawnHelper.default)(`git lfs push ${args}`, null, options, callback, repoPath),
  status: (args = '', options) => (0, _execHelper.default)(`git lfs status ${args}`, null, options),
  track: (args = '', options) => (0, _execHelper.default)(`git lfs track ${args}`, null, options),
  untrack: (args = '', options) => (0, _execHelper.default)(`git lfs untrack ${args}`, null, options),
  update: (args = '', options) => (0, _execHelper.default)(`git lfs update ${args}`, null, options),
  version: options => (0, _execHelper.default)('git lfs version', null, options)
};
exports.core = core;