"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lfsCommands = require("./lfsCommands");

var _constants = require("../constants");

var _generateResponse = _interopRequireDefault(require("../utils/generateResponse"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const pointer = (repo, filePath, pointerPath) => {
  let args = '';

  if (filePath) {
    args += `--file=${filePath} `;
  }

  if (pointerPath) {
    args += `--file=${pointerPath} `;
  }

  const response = (0, _generateResponse.default)();
  const repoPath = repo.workdir();
  return _lfsCommands.core.pointer(args, {
    cwd: repoPath
  }).then(({
    stdout,
    stderr
  }) => {
    response.raw = stdout;

    if (stderr) {
      response.success = false;
      response.errno = _constants.BAD_CORE_RESPONSE;
      response.stderr = stderr;
      return response;
    }

    response.buffer = Buffer.from(stdout);
    return response;
  });
};

var _default = pointer;
exports.default = _default;