"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _ramda = _interopRequireDefault(require("ramda"));

var _lfsCommands = require("./lfsCommands");

var _generateResponse = _interopRequireDefault(require("../utils/generateResponse"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const prune = (repo, options) => {
  const response = (0, _generateResponse.default)();
  const repoPath = repo.workdir();
  const {
    callback,
    shellOptions
  } = options || {};
  return _lfsCommands.core.prune('', _ramda.default.mergeDeepRight(shellOptions, {
    cwd: repoPath
  }), callback).then(({
    stdout,
    stderr
  }) => {
    response.raw = stdout;

    if (stderr) {
      response.errno = _constants.BAD_CORE_RESPONSE;
      response.stderr = stderr;
      response.success = false;
      return response;
    }

    return response;
  });
};

var _default = prune;
exports.default = _default;