"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lfsCommands = require("./lfsCommands");

var _checkDependencies = require("../utils/checkDependencies");

var _constants = require("../constants");

var _generateResponse = _interopRequireDefault(require("../utils/generateResponse"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const version = () => {
  const response = (0, _generateResponse.default)();
  return _lfsCommands.core.version().then(({
    stdout,
    stderr
  }) => {
    response.raw = stdout;

    if (stderr) {
      response.stderr = stderr;
      response.success = false;
      response.errno = _constants.BAD_CORE_RESPONSE;
    } else {
      response.version = (0, _checkDependencies.parseVersion)(stdout, _constants.regex.LFS);
    }

    return response;
  });
};

var _default = version;
exports.default = _default;