"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Error = exports.minimumVersions = exports.BAD_REGEX_PARSE_RESULT = exports.BAD_CORE_RESPONSE = exports.BAD_VERSION = exports.promptTypes = exports.regex = exports.LFS_FILTER_NAME = exports.LFS_ATTRIBUTE = void 0;
const LFS_ATTRIBUTE = 'filter=lfs diff=lfs merge=lfs';
exports.LFS_ATTRIBUTE = LFS_ATTRIBUTE;
const LFS_FILTER_NAME = 'nodegit_lfs';
exports.LFS_FILTER_NAME = LFS_FILTER_NAME;
const regex = {
  LFS: /(?:git-lfs\/\s*)?(\d+)(?:.(\d+))?(?:.(\d+))?.*/,
  GIT: /(?:git\s+version\s+)(\d+)\.(\d+)\.(\d+)/,
  VERSION: /(\d+\.){2}\d+/,
  TRACK: /([a-zA-Z*.]+(?="))/g,
  SKIPPED_BYTES: /[\d]+\s+B\s+(?=skipped)/g,
  SKIPPED_FILES: /[\d]\s+(?=skipped)/g,
  TOTAL_BYTES: /[\d]+\s+B/g,
  TOTAL_FILES: /[\d]\s+(?=files)/g,
  USERNAME: /username/g,
  PASSWORD: /password/g,
  PASSPHRASE: /passphrase/g,
  PERMISSION_DENIED: /permission\s+denied\s+\(.+\)\./g,
  CREDENTIALS_NOT_FOUND: /could not read Username for '(.+)': terminal prompts disabled/,
  CREDENTIALS_ERROR: /(Git credentials)|(Bad credentials)/
};
exports.regex = regex;
const promptTypes = {
  USERNAME: 'username',
  PASSWORD: 'password',
  PASSPHRASE: 'passphrase'
};
exports.promptTypes = promptTypes;
const BAD_VERSION = '0';
exports.BAD_VERSION = BAD_VERSION;
const BAD_CORE_RESPONSE = '-1';
exports.BAD_CORE_RESPONSE = BAD_CORE_RESPONSE;
const BAD_REGEX_PARSE_RESULT = '-2';
exports.BAD_REGEX_PARSE_RESULT = BAD_REGEX_PARSE_RESULT;
const minimumVersions = {
  GIT: '1.8.5',
  LFS: '2.0.0'
}; // Copied from NodeGit for now... eventually we will find a way to change that

exports.minimumVersions = minimumVersions;
const Error = {
  CODE: {
    OK: 0,
    PASSTHROUGH: -30
  }
};
exports.Error = Error;