"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _path = _interopRequireDefault(require("path"));

var _ramda = _interopRequireDefault(require("ramda"));

var _lfsCommands = require("./commands/lfsCommands");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const builldArgs = options => {
  const opts = options || {};
  const args = [];

  if (opts.local) {
    args.push('--local');
  }

  return _ramda.default.join(' ', args);
};

const initialize = (repo, options) => {
  const workdir = repo.workdir();

  const lfsDir = _path.default.join(workdir, '.git', 'lfs');

  return _fsExtra.default.pathExists(lfsDir).then(exists => {
    if (exists) {
      return Promise.resolve();
    }

    return _lfsCommands.core.install(builldArgs(options), {
      cwd: workdir
    });
  });
};

var _default = initialize;
exports.default = _default;