"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _apply = _interopRequireDefault(require("./callbacks/apply"));

var _check = _interopRequireDefault(require("./callbacks/check"));

var _initialize = _interopRequireDefault(require("./callbacks/initialize"));

var _constants = require("./constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Wrapper to register nodegit LFS filter and append status to LFS in nodegit
 * @return Promise
 */
function register(credentialsCallback) {
  const filter = {
    apply: (0, _apply.default)(credentialsCallback),
    check: _check.default,
    initialize: _initialize.default,
    attributes: 'filter=lfs merge=lfs diff=lfs'
  };
  return this.NodeGit.FilterRegistry.register(_constants.LFS_FILTER_NAME, filter, 0);
}

var _default = register;
exports.default = _default;