"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _child_process = _interopRequireDefault(require("child_process"));

var _ramda = _interopRequireDefault(require("ramda"));

var _shellOptions = require("./shellOptions");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const exec = (command, input, opts = {}) => new Promise((resolve, reject) => {
  const options = (0, _shellOptions.combineShellOptions)(opts);

  if (process.platform !== 'win32' && !_ramda.default.contains('/usr/local/bin', options.env.PATH)) {
    options.env.PATH = `${options.env.PATH}${':/usr/local/bin'}`;
  }

  const proc = _child_process.default.exec(command, options, (err, stdout, stderr) => {
    if (err) {
      reject(err);
    } else {
      resolve({
        proc,
        stdout,
        stderr
      });
    }
  });

  if (input) {
    proc.stdin.write(input);
    proc.stdin.end();
  }
});

var _default = exec;
exports.default = _default;