"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.combineShellOptions = exports.setDefaultShellOptions = void 0;

var _ramda = _interopRequireDefault(require("ramda"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let defaultShellOptions = {
  env: _ramda.default.clone(process.env)
};

const setDefaultShellOptions = options => {
  defaultShellOptions = _ramda.default.mergeDeepRight({
    env: _ramda.default.clone(process.env)
  }, _ramda.default.clone(options));
};

exports.setDefaultShellOptions = setDefaultShellOptions;

const combineShellOptions = (options, requiredOptions) => _ramda.default.mergeDeepRight(_ramda.default.mergeDeepRight(defaultShellOptions, options || {}), requiredOptions || {});

exports.combineShellOptions = combineShellOptions;